using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using static prj_wfrm_centreCall_tickets.tab;

namespace prj_wfrm_centreCall_tickets
{
    public partial class frmNafAfficherTous : Form
    {
        public frmNafAfficherTous()
        {
            InitializeComponent();
        }

        private void frmNafAfficherTous_Load(object sender, EventArgs e)
        {
            if (tab.nbNaf == 0)
            {
                MessageBox.Show("Aucun naf", "Information", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {
                //parcours du tableau des codes naf
                for (int i = 0; i < tab.nbNaf; i++)
                {
                    //configuration d'une ligne de la liste
                    ListViewItem ligne = new ListViewItem();
                    //1ère colonne = n° du naf
                    ligne.Text = tab.naf[i].code.ToString();
                    //2ème colonne = intitulé
                    ligne.SubItems.Add(tab.naf[i].intitule);


                    //ajout de la ligne dans la liste
                    lvNaf.Items.Add(ligne);
                }
            }
        }
    
    }
}
